Module java.base
Package java.security.acl

## Interface Permission

- Deprecated.
  This package has been replaced by `java.security.Policy` and related classes since 1.2.

      @Deprecated(since="9")
      public interface Permission

  This interface represents a permission, such as that used to grant a particular type of access to a resource.
  Since:
    1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object another)` | Deprecated. Returns true if the object passed matches the permission represented in this interface.
    `String` | `toString​()` | Deprecated. Prints a string representation of this permission.

- - ### Method Detail

    - #### equals

          boolean equals​(Object another)

      Deprecated.
      Returns true if the object passed matches the permission represented in this interface.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `another` - the Permission object to compare with.
      Returns:
        true if the Permission objects are equal, false otherwise
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### toString

          String toString​()

      Deprecated.
      Prints a string representation of this permission.
      Overrides:
        `toString` in class `Object`
      Returns:
        the string representation of the permission.